'use strict';

yalwa.network_error = (function (pub) {
	
	pub = pub || {};
	
	pub.init = function () {
		
		if(!jQuery('#network_error').data('init_once')) {
			set_labels();
			jQuery('#reload').on('click', function () {
				yalwa.main.set('trigger_country_list_update', true);
				yalwa.main.load_country_infos().then(data => {
					//console.log('network_error_country_list_done');
					
					yalwa.main.open_local('main');
					window.setTimeout(function(){
						yalwa.main.init();
					},410)
				}).fail(error => {
					//console.log('network_error_country_list_fail');
				})
			});
			jQuery('#network_error').data('init_once', true);
		}
	};
	
	function set_labels() {
		jQuery('#error_message').html(yalwa.main.label('network_error_occured'));
		jQuery('#reload').html(yalwa.main.label('reload'));
	}
	
	return pub;
	
}(yalwa.network_error));


