'use strict';

yalwa.error = (function (pub) {

	pub = pub || {};

	pub.init = function () {
		if(!jQuery('#error').data('init_once')) {
			window.setTimeout(function() {
				set_labels();
			}, 400)
			jQuery('#reload').on('click', function () {
				yalwa.main.open_local('main');
				window.setTimeout(function(){
					yalwa.main.init();
				},410)
			});

			jQuery('#back_to_home').on('click', function () {
				yalwa.main.open_local('main');
				window.setTimeout(function(){
					yalwa.main.init();
				},410)
			});
			jQuery('#error').data('init_once', true);
		}

		jQuery.each(window.location.search.split('&'), function (key, value) {
			var param = value.split('=');
			if(param[0] === 'desc') {
				jQuery('#error_message_failure').text(decodeURIComponent(param[1]));
				return false;
			}
		});
	};

	function set_labels() {
		jQuery('#error_message').html(yalwa.main.label('error_occured'));
		jQuery('#reload').html(yalwa.main.label('reload'));
		jQuery('#back_to_home').html(yalwa.main.label('back_to_home'));
	}

	return pub;

}(yalwa.error));

