'use strict';

yalwa.offline = (function (pub) {

	pub = pub || {};
	
	pub.init = function () {
		if(!jQuery('#offline').data('init_once')) {
			set_labels();
			document.addEventListener('online', online_again, false);
			jQuery('#offline').data('init_once', true);
            jQuery('.error_div_inner').on('click', yalwa.main.tab_open_last);
		}
	};
	
	function online_again() {
		// console.log('online')
		if(yalwa.main.tab) {
			yalwa.main.tab.show();
		}
		yalwa.main.tab_open_last();
	}

	function set_labels() {
		jQuery('#no_internet_conn_text').html(yalwa.main.label('no_internet_conn_infotext'));
	}

	return pub;

}(yalwa.offline));
