'use strict';

yalwa.startup_country_list = (function (pub) {

	pub = pub || {};

	pub.init = function () {
		if(!jQuery('#startup_country_list').data('init_once')) {
			yalwa.main.load_country_infos().then(data => {
				yalwa.main.init_country_select(true);
				set_labels();
				var countryID_temp = yalwa.main.get('countryID_temp');
				yalwa.main.set('countryID_temp', '');
				if(countryID_temp !== '') {
					jQuery('select.select_cc').val(countryID_temp);
					jQuery('select.select_cc').selectmenu('refresh');
					set_labels();
				}
				var init_val = jQuery('select.select_cc').val();
				if (init_val === 'empty' || init_val === null || init_val === '') {
					jQuery('select.select_cc').closest('.ui-btn').addClass('hidden_icon');
				}
				
				jQuery('select.select_cc').on('change', function() {
					if (this.value === 'empty' || this.value === null || this.value === '') {
						jQuery('select.select_cc').closest('.ui-btn').addClass('hidden_icon');
					} else {
						jQuery('select.select_cc').closest('.ui-btn').removeClass('hidden_icon');
					}
				});
				jQuery('.button_cc').on('click', function() {
					var countryID = jQuery('select.select_cc').val();
					if (countryID !== 'empty') {
						yalwa.main.save_location(countryID);
						yalwa.main.open_local('main');
						window.setTimeout(function(){
							yalwa.main.init();
						},410)
						//yalwa.main.tab_open_last(true);
					}
				})
				jQuery('#startup_country_list').data('init_once', true);
			}).fail(error => {
				//console.log('startup_country_check_fail');
				yalwa.main.open_local('network_error');
			})
		}
	};

	function set_labels() {
		jQuery('.button_cc').html(yalwa.main.label('no_geo_found_button_select'));
		
		var init_val = jQuery('select.select_cc').val();
		if (init_val === 'empty' || init_val === null || init_val === '') {
			jQuery('#geo_text').html(yalwa.main.label('no_geo_found_infotext'));
		} else {
			jQuery('#geo_text').html(yalwa.main.label('no_geo_found_empty_select'));
		}

	}

	return pub;

}(yalwa.startup_country_list));